GNU bug report logs - #21771
25.0.50; Can't customize whitespace-display-mappings

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Ivan Andrus <darthandrus@HIDDEN>; merged with #15925, #28183, #31869; dated Tue, 27 Oct 2015 21:00:05 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 15925 21771 28183 31869. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 15925 21771 28183. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 21771 <at> debbugs.gnu.org:


Received: (at 21771) by debbugs.gnu.org; 2 Jan 2016 01:51:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 01 20:51:47 2016
Received: from localhost ([127.0.0.1]:34108 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aFBMA-00087a-NT
	for submit <at> debbugs.gnu.org; Fri, 01 Jan 2016 20:51:47 -0500
Received: from eggs.gnu.org ([208.118.235.92]:33965)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <rgm@HIDDEN>) id 1aFBAz-00068D-P8
 for 21771 <at> debbugs.gnu.org; Fri, 01 Jan 2016 20:40:13 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1aEpHH-0004my-AD
 for 21771 <at> debbugs.gnu.org; Thu, 31 Dec 2015 21:17:16 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:38828)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1aEpHG-0004mc-2i; Thu, 31 Dec 2015 21:17:14 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1aEpHD-0006vu-UO; Thu, 31 Dec 2015 21:17:12 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Ivan Andrus <darthandrus@HIDDEN>
Subject: Re: bug#21771: 25.0.50; Can't customize whitespace-display-mappings
References: <CA+R1CoyLWGtLO0coFppyrcEz3YVCPMx6Uf_by553251U1wm0ZA@HIDDEN>
 <C0BBA38E-ACDE-4B09-9B6E-FE95FABD6852@HIDDEN>
X-Spook: Iraq Infection explosive Lockdown Pirates top secret
X-Ran: Qt/&lpGraF,ub:+^ZW3oPL|72"*Y't_$A,^U$G'LYqF1F4w`3xFdehzZE%_"SA-UX0M}SI
X-Hue: red
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Thu, 31 Dec 2015 21:17:11 -0500
In-Reply-To: <C0BBA38E-ACDE-4B09-9B6E-FE95FABD6852@HIDDEN> (Ivan Andrus's
 message of "Tue, 29 Dec 2015 20:38:49 -0700")
Message-ID: <kyoad6t55k.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 21771
Cc: 21771 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Ivan Andrus wrote:

>> This might be related to bug #2689,
>> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2689

> -  :valid-regexp "\\`.\\'"
> +  :valid-regexp "\\`\\(.\\|\n\\)\\'"

Note that this reintroduces part of the patch for #2689, which I had to
revert since it caused a worse problem (#3136) than the one it solved.
(I haven't checked whether the same issue applies now to your patch, but
you should.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21771; Package emacs. Full text available.

Message received at 21771 <at> debbugs.gnu.org:


Received: (at 21771) by debbugs.gnu.org; 2 Jan 2016 00:24:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 01 19:24:28 2016
Received: from localhost ([127.0.0.1]:33978 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aF9zg-0002hJ-6Q
	for submit <at> debbugs.gnu.org; Fri, 01 Jan 2016 19:24:28 -0500
Received: from mail-oi0-f50.google.com ([209.85.218.50]:35115)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <darthandrus@HIDDEN>) id 1aF9ze-0002h6-L7
 for 21771 <at> debbugs.gnu.org; Fri, 01 Jan 2016 19:24:26 -0500
Received: by mail-oi0-f50.google.com with SMTP id l9so202258938oia.2
 for <21771 <at> debbugs.gnu.org>; Fri, 01 Jan 2016 16:24:26 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type:content-transfer-encoding;
 bh=O+wrd829BsbNxZbEuYc3EbfZrIJtTdIcyi8DZAA5Xmg=;
 b=Qtltf6D3FOEJvXzizBzKb2jHWTV9r0jXo6egpozOvEomifvMPbDhdKgNwb7N8k2PyI
 UsBmBwjgyrBXF1owD+3CINLUiBEiBQO57t7zveU/oekVGhYuN32E53RxDnlAVjHFOCQr
 9SssG3TiavRETtmgWYy6BW3kdacQnnOrsQQdgp64/X60TgqlM94RXFV2jVrtoTfHzPgf
 oJeUGr5zqBYvuSwHcj4r0aO8J17M9JeWC37eSW3iEMCJomfTAmEXc75OGMuVLjq3AYW6
 5wXT/tOKZiQUca8AFqgbgwq8rQ1BqNIuqq37vJ2CwYsVHuSSDZMeWDVRr4eHap+4gkJQ
 bsKQ==
MIME-Version: 1.0
X-Received: by 10.202.195.17 with SMTP id t17mr50840843oif.80.1451690314456;
 Fri, 01 Jan 2016 15:18:34 -0800 (PST)
Received: by 10.202.88.212 with HTTP; Fri, 1 Jan 2016 15:18:34 -0800 (PST)
In-Reply-To: <kyoad6t55k.fsf@HIDDEN>
References: <CA+R1CoyLWGtLO0coFppyrcEz3YVCPMx6Uf_by553251U1wm0ZA@HIDDEN>
 <C0BBA38E-ACDE-4B09-9B6E-FE95FABD6852@HIDDEN>
 <kyoad6t55k.fsf@HIDDEN>
Date: Fri, 1 Jan 2016 16:18:34 -0700
Message-ID: <CA+R1CoxEkVmY+nPz6Y0qh91tA5fAReKaL_m_Pc2H=wHDHN3w7w@HIDDEN>
Subject: Re: bug#21771: 25.0.50; Can't customize whitespace-display-mappings
From: Ivan Andrus <darthandrus@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 21771
Cc: 21771 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Thu, Dec 31, 2015 at 7:17 PM, Glenn Morris <rgm@HIDDEN> wrote:
> Ivan Andrus wrote:
>
>>> This might be related to bug #2689,
>>> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D2689
>
>> -  :valid-regexp "\\`.\\'"
>> +  :valid-regexp "\\`\\(.\\|\n\\)\\'"
>
> Note that this reintroduces part of the patch for #2689, which I had to
> revert since it caused a worse problem (#3136) than the one it solved.
> (I haven't checked whether the same issue applies now to your patch, but
> you should.)

Thanks for bringing that to my attention.  My patch doesn=E2=80=99t cause 3=
136,
because it doesn=E2=80=99t really solve the problem.  It just works around =
it by
using "\n\n" to mean "\n".

It does make things a little weird because there is a difference between
when it starts out as a newline and when it=E2=80=99s changed to a newline.=
  That
is, with my patch, if you customize white `whitespace-display-mappings=E2=
=80=99,
you=E2=80=99ll see it displayed as "\n\n".  If you change it to (say) "d" i=
t
will be displayed as "d\n".  It saves 'd' fine, but if you customize it
again it will display as "d".  Changing this to "\n" will cause it to
display as "\n" and it will save "\n".  Customizing again will show "\n\n"
again.

But given that the alternative causes #3136, maybe it=E2=80=99s not so bad.

-Ivan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21771; Package emacs. Full text available.

Message received at 21771 <at> debbugs.gnu.org:


Received: (at 21771) by debbugs.gnu.org; 30 Dec 2015 03:38:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 29 22:38:59 2015
Received: from localhost ([127.0.0.1]:49199 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aE7bG-0003QJ-Ss
	for submit <at> debbugs.gnu.org; Tue, 29 Dec 2015 22:38:59 -0500
Received: from mail-ob0-f182.google.com ([209.85.214.182]:34575)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <darthandrus@HIDDEN>) id 1aE7bF-0003Q6-5b
 for 21771 <at> debbugs.gnu.org; Tue, 29 Dec 2015 22:38:57 -0500
Received: by mail-ob0-f182.google.com with SMTP id wp13so36610079obc.1
 for <21771 <at> debbugs.gnu.org>; Tue, 29 Dec 2015 19:38:57 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:content-type:content-transfer-encoding:subject:message-id:date
 :to:mime-version;
 bh=IVRlcLyfq8n82w7WqqO3aW9dhL/KO//rQDQq61UME9w=;
 b=dD89uz+iwc+0MCXa5t0eBdtA18dGibBEfp6n8Fz9GvMPeqS03FnkyYjuqh8bBJT6yo
 fthRb1DFOqX/K7lcxLKxfI20hlU9cSdVJGaqc9T8vBzQvT3Ljge/oW4osUxxmVesKGym
 2GFy5Er8hFbCK2Q2s1gPxwi4jU1RbL7b87/XfoMksXnF7Mt38GzXaOQWOkJqXBfcbObW
 R1pmoS+LsVVKv232pC+xjLC+RYLDlqnHVcl3+5Uc4BfNAn3ohmVbZ4W6hbBD6DDgc9NO
 s69MCDkO8GUt8ctGF1VJmvcSfnnbcg7Q+zW8RGr5KiTVJC5HhRhtN3go4vnpiEG3fmBA
 wg9w==
X-Received: by 10.60.76.65 with SMTP id i1mr3820273oew.5.1451446731470;
 Tue, 29 Dec 2015 19:38:51 -0800 (PST)
Received: from [192.168.0.3] (174-23-112-137.slkc.qwest.net. [174.23.112.137])
 by smtp.gmail.com with ESMTPSA id
 l188sm22429776oia.14.2015.12.29.19.38.50 for <21771 <at> debbugs.gnu.org>
 (version=TLSv1/SSLv3 cipher=OTHER);
 Tue, 29 Dec 2015 19:38:50 -0800 (PST)
From: Ivan Andrus <darthandrus@HIDDEN>
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Subject: Re: bug#21771: 25.0.50; Can't customize whitespace-display-mappings
Message-Id: <C0BBA38E-ACDE-4B09-9B6E-FE95FABD6852@HIDDEN>
Date: Tue, 29 Dec 2015 20:38:49 -0700
To: 21771 <at> debbugs.gnu.org
Mime-Version: 1.0 (Mac OS X Mail 9.1 \(3096.5\))
X-Mailer: Apple Mail (2.3096.5)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 21771
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Ivan Andrus <darthandrus@HIDDEN> writes:

> This might be related to bug #2689,
> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2689
>
> ;; emacs -Q
> ;; Evaluated
> (require 'whitespace)
> (customize-variable 'whitespace-display-mappings)
> ;; Change anything, say deleting one of space mappings
> ;; Try to save
> ;; Get the error
> custom-variable-set: This field should contain a single character
>
> -Ivan

It turns out this is due to one of the characters being a newline.
There are two problems.  First, the validation regex doesn't match a
newline.  This is easily addressed with the following patch:

diff --git a/lisp/wid-edit.el b/lisp/wid-edit.el
index d0410aa..55e8ac7 100644
--- a/lisp/wid-edit.el
+++ b/lisp/wid-edit.el
@@ -3400,7 +3400,7 @@ 'character
   :value 0
   :size 1
   :format "%{%t%}: %v\n"
-  :valid-regexp "\\`.\\'"
+  :valid-regexp "\\`\\(.\\|\n\\)\\'"
   :error "This field should contain a single character"
   :value-get (lambda (w) (widget-field-value-get w t))
   :value-to-internal (lambda (_widget value)


Second, a string consisting of only a newline is returned as an empty
string from `widget-field-value-get' even with `no-truncate' non-nil.  I
have worked around this, but I suspect it's a suboptimal solution.  It
seems like the special handling of newlines is probably intended, so a
"proper" solution might be tricky.

diff --git a/lisp/wid-edit.el b/lisp/wid-edit.el
index 55e8ac7..7ff4ac2 100644
--- a/lisp/wid-edit.el
+++ b/lisp/wid-edit.el
@@ -3406,7 +3406,9 @@ 'character
   :value-to-internal (lambda (_widget value)
                       (if (stringp value)
                           value
-                        (char-to-string value)))
+                        (if (eq value ?\n)
+                            "\n\n"
+                          (char-to-string value))))
   :value-to-external (lambda (_widget value)
                       (if (stringp value)
                           (aref value 0)


Any pointers as to a better fix (or if this is sufficient) and/or how to
write a test for this would be much appreciated.

-Ivan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21771; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 Oct 2015 20:59:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 27 16:59:02 2015
Received: from localhost ([127.0.0.1]:40855 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZrBKf-0008FQ-7q
	for submit <at> debbugs.gnu.org; Tue, 27 Oct 2015 16:59:01 -0400
Received: from eggs.gnu.org ([208.118.235.92]:57687)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <darthandrus@HIDDEN>) id 1ZrBKK-0008EP-WC
 for submit <at> debbugs.gnu.org; Tue, 27 Oct 2015 16:58:59 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <darthandrus@HIDDEN>) id 1ZrBKE-0001b9-Fv
 for submit <at> debbugs.gnu.org; Tue, 27 Oct 2015 16:58:35 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:33041)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <darthandrus@HIDDEN>) id 1ZrBKE-0001b5-Cg
 for submit <at> debbugs.gnu.org; Tue, 27 Oct 2015 16:58:34 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:39453)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <darthandrus@HIDDEN>) id 1ZrBKD-0007Eo-14
 for bug-gnu-emacs@HIDDEN; Tue, 27 Oct 2015 16:58:34 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <darthandrus@HIDDEN>) id 1ZrBKB-0001aO-Ja
 for bug-gnu-emacs@HIDDEN; Tue, 27 Oct 2015 16:58:32 -0400
Received: from mail-oi0-x231.google.com ([2607:f8b0:4003:c06::231]:35481)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <darthandrus@HIDDEN>) id 1ZrBKB-0001aG-Er
 for bug-gnu-emacs@HIDDEN; Tue, 27 Oct 2015 16:58:31 -0400
Received: by oifu63 with SMTP id u63so85659550oif.2
 for <bug-gnu-emacs@HIDDEN>; Tue, 27 Oct 2015 13:58:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:date:message-id:subject:from:to:content-type
 :content-transfer-encoding;
 bh=EnZYjnW6tPCnP0mXOhFA1S8M4XSxl34AJIk8GdxTB5M=;
 b=FgMU1OTcDPyzTE27XeQpVHp3QIx/XNYi41d1Y05e554J8lisx4hkL+/xFfYkuRe/Xz
 8+dHGxFCrQfh5/VeFauoFTXyMmvcHZKpOz834almlaQMhxqMM8ek4fRlnyEgx4Lrf7jt
 vsv1QxiIT469paYqdXn5Z0hCOAbMozMddtuWcMy1YiFahTNWrir5h0BY+sXpN8xoqlV9
 vs36VWU/CJ9+D4tHX28cnJnP38GsksdgLqcCi/6k/O2ApxydMNs0O4dLjlBMfuiHgyzP
 CN9KB5Bl9MYBN0Ez87TFDsnB81ZQTOaa6ZxO5KRaYRXxea/H6JRhuAVog38aPbG0xqjZ
 j4OA==
MIME-Version: 1.0
X-Received: by 10.202.226.136 with SMTP id z130mr863313oig.19.1445979510761;
 Tue, 27 Oct 2015 13:58:30 -0700 (PDT)
Received: by 10.202.83.2 with HTTP; Tue, 27 Oct 2015 13:58:30 -0700 (PDT)
Date: Tue, 27 Oct 2015 14:58:30 -0600
Message-ID: <CA+R1CoyLWGtLO0coFppyrcEz3YVCPMx6Uf_by553251U1wm0ZA@HIDDEN>
Subject: 25.0.50; Can't customize whitespace-display-mappings
From: Ivan Andrus <darthandrus@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

This might be related to bug #2689,
http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D2689

;; emacs -Q
;; Evaluated
(require 'whitespace)
(customize-variable 'whitespace-display-mappings)
;; Change anything, say deleting one of space mappings
;; Try to save
;; Get the error
custom-variable-set: This field should contain a single character

-Ivan


In GNU Emacs 25.0.50.6 (x86_64-apple-darwin14.5.0, NS appkit-1348.17
Version 10.10.5 (Build 14F27))
of 2015-10-21
Repository revision: ecba9093844fb32756923e3124f6c1dbc0dc7a79
Windowing system distributor 'Apple', version 10.3.1404
Configured using:
'configure --with-ns PKG_CONFIG_PATH=3D/opt/X11/lib/pkgconfig --with-xpm'

Configured features:
JPEG RSVG IMAGEMAGICK DBUS ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS
NS

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
Resetting customization items...done
Creating customization setup...done
You can run the command =E2=80=98customize-variable=E2=80=99 with M-x c-var=
 RET
Creating customization setup...done
custom-variable-set: This field should contain a single character [2 times]
Mark set [2 times]
kill-region: Buffer is read-only: #<buffer *Messages*>
Mark set
<C-s-268632064> is undefined
Undo! [2 times]

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message dired format-spec
rfc822 mml mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils filecache whitespace help-fns help-mode
cus-edit easymenu cus-start cus-load wid-edit cl-loaddefs pcase cl-lib
time-date mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel ns-win term/common-win tool-bar dnd fontset image
regexp-opt fringe tabulated-list newcomment elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cl-generic cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese charscript case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer cl-preloaded nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote dbusbind cocoa ns multi-tty
make-network-process emacs)

Memory information:
((conses 16 106811 7389)
(symbols 48 20947 0)
(miscs 40 721 530)
(strings 32 17666 4716)
(string-bytes 1 492986)
(vectors 16 11943)
(vector-slots 8 424806 7171)
(floats 8 141 392)
(intervals 56 780 11)
(buffers 976 14))




Acknowledgement sent to Ivan Andrus <darthandrus@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#21771; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 17 Jun 2018 16:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.